package cn.com.taiji.esshipservice.constant;

public class ShipHisTrackIndexConstants {

    //对应 hbasetable ax_seat:ship_dynamice_fusion_byshipId
    public static final String INDEX_SEAT_REALTIMETRAJECTORY = "index_seat_realtimetrajectory_";

    public static final String INDEX_SEAT_FK_REALTIMETRAJECTORY = "index_seat_fk_realtimetrajectory_";

//    public static final String INDEX_SEAT_MERGE_MYDATABASE = "index_seat_merge_mydatabase_";
//
//    public static final String INDEX_SEAT_BEIDOU_MYDATABASE = "index_seat_beidou_mydatabase_";
//
//    public static final String INDEX_SEAT_AIS_MYDATABASE = "index_seat_ais_mydatabase_";
//
//    public static final String INDEX_SEAT_RADAR_MYDATABASE = "index_seat_radar_mydatabase_";
//
//    public static final String INDEX_SEAT_ZYH_RADAR_MYDATABASE = "index_seat_zyh_radar_mydatabase_";

    public static final String INDEX_SEAT_TRACK_BEIDOU = "index_seat_beidou_dynamic_ship_track_";

    public static final String INDEX_SEAT_TRACK_AIS = "index_seat_ztpt_dynamic_ais_ship_track_";

    public static final String INDEX_SEAT_HLX_FUSION_SHIP = "index_seat_hlx_zww_dynamic_fusion_ship_";

    public static final String INDEX_SEAT_TRACK_RADAR = "index_seat_tianao_radar_fusion_ship_track_";

    public static final String INDEX_SEAT_TRACK_ZYH = "index_seat_zyh_radar_track_";

    public static final String INDEX_SEAT_DW_XQYS_HLX_SHIP_TRACKS = "index_seat_dw_xqys_hlx_ship_tracks";

    public static final String INDEX_SEAT_MOBILE_HISTORY_TRACKS = "index_seat_mobile_history_track";


    public static final String INDEX_SEAT_DVR_HISTORY_TRACKS = "index_seat_dvr_history_track";

    public static final String INDEX_SEAT_PDT_HISTORY_TRACKS = "index_seat_pdt_history_track";

    public static final String INDEX_SEAT_POLICEMAN_HISTORY_TRACKS = "index_seat_policeman_history_track";

    public static final String INDEX_SEAT_POLICECAR_HISTORY_TRACKS = "index_seat_policecar_history_track";

    public static final String INDEX_SEAT_POLICESHIP_HISTORY_TRACKS = "index_seat_policeship_history_track";


    public static final String INDEX_SEAT_HIK_CAPTURE_FACE_TRACKS = "index_seat_hik_capture_face_track";

    public static final String INDEX_SEAT_HIK_CAPTURE_CAR_TRACKS = "index_seat_hik_capture_car_track";

    public static final String INDEX_SEAT_HIK_CAPTURE_SHIP_TRACKS = "index_seat_hik_capture_ship_track";

    public static final String INDEX_SEAT_WARNING_SHIP_TRACKS = "index_seat_warning_ship_track";

    public static final String INDEX_SEAT_WARNING_CAR_TRACKS = "index_seat_warning_car_track";

    public static final String INDEX_SEAT_WARNING_PERSON_TRACKS = "index_seat_warning_person_track";

    public static final String INDEX_SEAT_WARNING_MULTIPLE_TRACKS = "index_seat_warning_multiple_track";

    public static final String INDEX_SEAT_REALTIMETRAJECTORY_TEST = "index_seat_realtimetrajectory_test_";

    public static final String INDEX_SEAT_FK_REALTIMETRAJECTORY_TEST = "index_seat_fk_realtimetrajectory_test_";

    public static final String MAPPING_TEMPLATE = "{\n" +
            "  \"settings\": {\n" +
            "    \"number_of_shards\": 5,\n" +
            "    \"number_of_replicas\": 1\n" +
            "  },\n" +
            "  \"mappings\": {\n" +
            "    \"properties\": {\n" +
            "      \"mergeId\": {\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"mergeTime\":{\n" +
            "        \"type\": \"date\",\n" +
            "        \"format\": \"yyyy-MM-dd HH:mm:ss||yyyy-MM-dd||epoch_millis||yyyy-MM-dd HH:mm:ss.SSS||yyyy-MM-dd'T'HH:mm:ss.SSSXXX\"\n" +
            "      },\n" +
            "      \"mergeTarget\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"targetNationality\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"targetShipType\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"targetName\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"targetNameEn\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"location\":{\n" +
            "        \"type\": \"geo_point\"\n" +
            "      },\n" +
            "      \"targetCourse\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"targetSpeed\":{\n" +
            "        \"type\": \"double\"\n" +
            "      },\n" +
            "      \"targetHeading\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"targetRot\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"targetDraught\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"targetState\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"targetType\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"targetTypeReliability\":{\n" +
            "        \"type\": \"integer\"\n" +
            "      },\n" +
            "      \"targetTrackState\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"targetTrackTime\":{\n" +
            "        \"type\": \"date\",\n" +
            "        \"format\": \"yyyy-MM-dd HH:mm:ss||yyyy-MM-dd||epoch_millis||yyyy-MM-dd HH:mm:ss.SSS||yyyy-MM-dd'T'HH:mm:ss.SSSXXX\"\n" +
            "      },\n" +
            "      \"targetSource\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"portState\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"portId\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"refueledState\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"refueledAreaId\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"supplyIceWaterState\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"supplyIceWaterAreaId\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"motionState\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"targetMonitorId\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"gisNationality\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"gisShipType\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"mergeType\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"targetLength\":{\n" +
            "        \"type\": \"double\"\n" +
            "      },\n" +
            "      \"trackDeviceNo\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      }\n" +
            "    }\n" +
            "  }\n" +
            "}";

    public static final String MAPPING_BEIDOU = "{\n" +
            "  \"settings\": {\n" +
            "    \"number_of_shards\": 5,\n" +
            "    \"number_of_replicas\": 1\n" +
            "  },\n" +
            "  \"mappings\": {\n" +
            "    \"properties\": {\n" +
            "      \"shipId\": {\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"shipName\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"course\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"devideNo\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"electricity\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"isOnline\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"jobType\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"jobWay\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"latitude\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"location\":{\n" +
            "        \"type\": \"geo_point\"\n" +
            "      },\n" +
            "      \"locationTime\":{\n" +
            "        \"type\": \"date\",\n" +
            "        \"format\": \"yyyy-MM-dd HH:mm:ss||yyyy-MM-dd||epoch_millis||yyyy-MM-dd HH:mm:ss.SSS||yyyy-MM-dd'T'HH:mm:ss.SSSXXX\"\n" +
            "      },\n" +
            "      \"locationid\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"longitude\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"sendTime\":{\n" +
            "        \"type\": \"date\",\n" +
            "        \"format\": \"yyyy-MM-dd HH:mm:ss||yyyy-MM-dd||epoch_millis||yyyy-MM-dd HH:mm:ss.SSS||yyyy-MM-dd'T'HH:mm:ss.SSSXXX\"\n" +
            "      },\n" +
            "      \"shipLength\":{\n" +
            "        \"type\": \"double\"\n" +
            "      },\n" +
            "      \"shipMaterial\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"shipType\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"shipWidth\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"speed\":{\n" +
            "        \"type\": \"double\"\n" +
            "      },\n" +
            "      \"shipTrack\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"texTure\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"gisShipPort\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"gisShipMaterial\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"gisShipUse\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"shiptracktime\":{\n" +
            "        \"type\": \"date\",\n" +
            "        \"format\": \"yyyy-MM-dd HH:mm:ss||yyyy-MM-dd||epoch_millis||yyyy-MM-dd HH:mm:ss.SSS||yyyy-MM-dd'T'HH:mm:ss.SSSXXX\"\n" +
            "      }\n" +
            "    }\n" +
            "  }\n" +
            "}";

    public static final String MAPPING_AIS = "{\n" +
            "  \"settings\": {\n" +
            "    \"number_of_shards\": 5,\n" +
            "    \"number_of_replicas\": 2\n" +
            "  },\n" +
            "  \"mappings\": {\n" +
            "    \"properties\": {\n" +
            "      \"shipId\": {\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"shipName\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"userid\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"receive_time\":{\n" +
            "        \"type\": \"date\",\n" +
            "        \"format\": \"yyyy-MM-dd HH:mm:ss||yyyy-MM-dd||epoch_millis||yyyy-MM-dd HH:mm:ss.SSS||yyyy-MM-dd'T'HH:mm:ss.SSSXXX\"\n" +
            "      },\n" +
            "      \"messageid\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"longitude\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"nav_status\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"rot\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"sog\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"latitude\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"cog\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"true_heading\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"dsource\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"location\":{\n" +
            "        \"type\": \"geo_point\"\n" +
            "      },\n" +
            "      \"shipTrack\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"shiptracktime\":{\n" +
            "        \"type\": \"date\",\n" +
            "        \"format\": \"yyyy-MM-dd HH:mm:ss||yyyy-MM-dd||epoch_millis||yyyy-MM-dd HH:mm:ss.SSS||yyyy-MM-dd'T'HH:mm:ss.SSSXXX\"\n" +
            "      }\n" +
            "    }\n" +
            "  }\n" +
            "}";

    public static final String MAPPING_RADAR = "{\n" +
            "  \"settings\": {\n" +
            "    \"number_of_shards\": 5,\n" +
            "    \"number_of_replicas\": 1\n" +
            "  },\n" +
            "  \"mappings\": {\n" +
            "    \"properties\": {\n" +
            "      \"shipId\": {\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"shipName\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"fusionBatchNum\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"altitude\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"collectTime\":{\n" +
            "        \"type\": \"date\",\n" +
            "        \"format\": \"yyyy-MM-dd HH:mm:ss||yyyy-MM-dd||epoch_millis||yyyy-MM-dd HH:mm:ss.SSS||yyyy-MM-dd'T'HH:mm:ss.SSSXXX\"\n" +
            "      },\n" +
            "      \"course\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"fusionTime\":{\n" +
            "        \"type\": \"date\",\n" +
            "        \"format\": \"yyyy-MM-dd HH:mm:ss||yyyy-MM-dd||epoch_millis||yyyy-MM-dd HH:mm:ss.SSS||yyyy-MM-dd'T'HH:mm:ss.SSSXXX\"\n" +
            "      },\n" +
            "      \"longitude\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"radarCode\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"receiveTime\":{\n" +
            "        \"type\": \"date\",\n" +
            "        \"format\": \"yyyy-MM-dd HH:mm:ss||yyyy-MM-dd||epoch_millis||yyyy-MM-dd HH:mm:ss.SSS||yyyy-MM-dd'T'HH:mm:ss.SSSXXX\"\n" +
            "      },\n" +
            "      \"reliability\":{\n" +
            "        \"type\": \"double\"\n" +
            "      },\n" +
            "      \"speed\":{\n" +
            "        \"type\": \"double\"\n" +
            "      },\n" +
            "      \"targetProper\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"targetSize\":{\n" +
            "        \"type\": \"double\"\n" +
            "      },\n" +
            "      \"traceState\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"shiptracktime\":{\n" +
            "        \"type\": \"date\",\n" +
            "        \"format\": \"yyyy-MM-dd HH:mm:ss||yyyy-MM-dd||epoch_millis||yyyy-MM-dd HH:mm:ss.SSS||yyyy-MM-dd'T'HH:mm:ss.SSSXXX\"\n" +
            "      },\n" +
            "      \"shipTrack\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"id\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"location\":{\n" +
            "        \"type\": \"geo_point\"\n" +
            "      }\n" +
            "    }\n" +
            "  }\n" +
            "}";

    public static final String MAPPING_ZYH_RADAR = "{\n" +
            "  \"settings\": {\n" +
            "    \"number_of_shards\": 5,\n" +
            "    \"number_of_replicas\": 1\n" +
            "  },\n" +
            "  \"mappings\": {\n" +
            "    \"properties\": {\n" +
            "      \"course\": {\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"heading\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"id\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"latitude\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"length\":{\n" +
            "        \"type\": \"double\"\n" +
            "      },\n" +
            "      \"longitude\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"mmsi\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"quality\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"radar_id\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"receive_time\":{\n" +
            "        \"type\": \"date\",\n" +
            "        \"format\": \"yyyy-MM-dd HH:mm:ss||yyyy-MM-dd||epoch_millis||yyyy-MM-dd HH:mm:ss.SSS||yyyy-MM-dd'T'HH:mm:ss.SSSXXX\"\n" +
            "      },\n" +
            "      \"speed\":{\n" +
            "        \"type\": \"double\"\n" +
            "      },\n" +
            "      \"state\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"target_id\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"timestamp\":{\n" +
            "        \"type\": \"date\",\n" +
            "        \"format\": \"yyyy-MM-dd HH:mm:ss||yyyy-MM-dd||epoch_millis||yyyy-MM-dd HH:mm:ss.SSS||yyyy-MM-dd'T'HH:mm:ss.SSSXXX\"\n" +
            "      },\n" +
            "      \"track_time\":{\n" +
            "        \"type\": \"date\",\n" +
            "        \"format\": \"yyyy-MM-dd HH:mm:ss||yyyy-MM-dd||epoch_millis||yyyy-MM-dd HH:mm:ss.SSS||yyyy-MM-dd'T'HH:mm:ss.SSSXXX\"\n" +
            "      },\n" +
            "      \"type\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"shipId\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"location\":{\n" +
            "        \"type\": \"geo_point\"\n" +
            "      }\n" +
            "    }\n" +
            "  }\n" +
            "}";

    public static final String MAPPING_HIK_CAPTURE_FACE = "{\n" +
            "  \"settings\": {\n" +
            "    \"number_of_shards\": 5,\n" +
            "    \"number_of_replicas\": 1\n" +
            "  },\n" +
            "  \"mappings\": {\n" +
            "    \"properties\": {\n" +
            "      \"certificateNumber\": {\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"cameraIndexCode\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"captureTime\":{\n" +
            "        \"type\": \"date\",\n" +
            "        \"format\": \"yyyy-MM-dd HH:mm:ss||yyyy-MM-dd||epoch_millis||yyyy-MM-dd HH:mm:ss.SSS||yyyy-MM-dd'T'HH:mm:ss.SSSXXX\"\n" +
            "      },\n" +
            "      \"deviceName\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"plateNo\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"location\":{\n" +
            "        \"type\": \"geo_point\"\n" +
            "      },\n" +
            "      \"age\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"ageGroupName\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"genderName\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"glassName\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"smileName\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"facePicUrl\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"bkgUrl\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"controlName\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"traceUuid\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      }\n" +
            "    }\n" +
            "  }\n" +
            "}";
    public static final String MAPPING_HLX_FUSION_SHIP = "{\n" +
            "  \"settings\": {\n" +
            "    \"number_of_shards\": 5,\n" +
            "    \"number_of_replicas\": 1\n" +
            "  },\n" +
            "  \"mappings\": {\n" +
            "    \"properties\": {\n" +
            "      \"targetID\": {\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"radarID\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"predicted\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"speed\":{\n" +
            "        \"type\": \"float\"\n" +
            "      },\n" +
            "      \"course\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"heading\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"location\":{\n" +
            "        \"type\": \"geo_point\"\n" +
            "      },\n" +
            "      \"length\":{\n" +
            "        \"type\": \"integer\"\n" +
            "      },\n" +
            "      \"mmsi\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"shipClass\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"shipType\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"vesselName\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"gisShipType\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"gisNationality\":{\n" +
            "        \"type\": \"keyword\"\n" +
            "      },\n" +
            "      \"time\":{\n" +
            "        \"type\": \"date\",\n" +
            "        \"format\": \"yyyy-MM-dd HH:mm:ss||yyyy-MM-dd||epoch_millis||yyyy-MM-dd HH:mm:ss.SSS||yyyy-MM-dd'T'HH:mm:ss.SSSXXX\"\n" +
            "      }\n" +
            "    }\n" +
            "  }\n" +
            "}";
}
