package cn.com.taiji.esshipservice.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.*;

/**
 * 船舶信息对象 cbgk_ship
 * 
 * @author 曾令维
 * @date 2021-07-23
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class CbgkShip
{
    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Long id;

    @TableField(exist = false)
    private Long personId;

    @TableField(exist = false)
    private Long shipownerId;

    private Long deptId;

    @TableField(exist = false)
    private String deptName;

    private String name;

    /** 船深(米) */

    /** 作业区名称 */
    private String workAreaName;

    /** 常驻停泊点 */
    private String residentHarbor;

    /** MMSI号 */
    private String mmsi;

    /** 编号 */
    private String aisNo;

    /** 北斗终端号 */
    private String bdsTerminalNo;


}
