package cn.com.taiji.esshipservice.domain;

import java.io.Serializable;

/**
 * 721至731导出数据
 * @TableName import_ship_table
 */
public class ImportShipTable implements Serializable {
    /**
     * 北斗终端
     */
    private Long bBeidouNo;

    /**
     * 派出所名称
     */
    private String bPaichusuo;

    /**
     * 船名号
     */
    private String bShipName;

    /**
     * 船主联系电话
     */
    private String bShipPhone;

    /**
     * 船主姓名
     */
    private String bShipOwnerName;

    /**
     * 支队名称
     */
    private String xZhiduiName;

    /**
     * 派出所
     */
    private String xPaichusuo;

    /**
     * 船名号
     */
    private String xShipName;

    /**
     * 船主联系电话
     */
    private String xShipPhone;

    /**
     * 船主姓名
     */
    private String xShipOwnerName;

    /**
     * 船主证件号码
     */
    private String xShipOwnerCard;

    /**
     * 是否离线
     */
    private String xOffline;

    /**
     * 是否在岛内
     */
    private String xInner;

    /**
     * 位置描述
     */
    private String xLocationDesc;

    private static final long serialVersionUID = 1L;

    /**
     * 北斗终端
     */
    public Long getbBeidouNo() {
        return bBeidouNo;
    }

    /**
     * 北斗终端
     */
    public void setbBeidouNo(Long bBeidouNo) {
        this.bBeidouNo = bBeidouNo;
    }

    /**
     * 派出所名称
     */
    public String getbPaichusuo() {
        return bPaichusuo;
    }

    /**
     * 派出所名称
     */
    public void setbPaichusuo(String bPaichusuo) {
        this.bPaichusuo = bPaichusuo;
    }

    /**
     * 船名号
     */
    public String getbShipName() {
        return bShipName;
    }

    /**
     * 船名号
     */
    public void setbShipName(String bShipName) {
        this.bShipName = bShipName;
    }

    /**
     * 船主联系电话
     */
    public String getbShipPhone() {
        return bShipPhone;
    }

    /**
     * 船主联系电话
     */
    public void setbShipPhone(String bShipPhone) {
        this.bShipPhone = bShipPhone;
    }

    /**
     * 船主姓名
     */
    public String getbShipOwnerName() {
        return bShipOwnerName;
    }

    /**
     * 船主姓名
     */
    public void setbShipOwnerName(String bShipOwnerName) {
        this.bShipOwnerName = bShipOwnerName;
    }

    /**
     * 支队名称
     */
    public String getxZhiduiName() {
        return xZhiduiName;
    }

    /**
     * 支队名称
     */
    public void setxZhiduiName(String xZhiduiName) {
        this.xZhiduiName = xZhiduiName;
    }

    /**
     * 派出所
     */
    public String getxPaichusuo() {
        return xPaichusuo;
    }

    /**
     * 派出所
     */
    public void setxPaichusuo(String xPaichusuo) {
        this.xPaichusuo = xPaichusuo;
    }

    /**
     * 船名号
     */
    public String getxShipName() {
        return xShipName;
    }

    /**
     * 船名号
     */
    public void setxShipName(String xShipName) {
        this.xShipName = xShipName;
    }

    /**
     * 船主联系电话
     */
    public String getxShipPhone() {
        return xShipPhone;
    }

    /**
     * 船主联系电话
     */
    public void setxShipPhone(String xShipPhone) {
        this.xShipPhone = xShipPhone;
    }

    /**
     * 船主姓名
     */
    public String getxShipOwnerName() {
        return xShipOwnerName;
    }

    /**
     * 船主姓名
     */
    public void setxShipOwnerName(String xShipOwnerName) {
        this.xShipOwnerName = xShipOwnerName;
    }

    /**
     * 船主证件号码
     */
    public String getxShipOwnerCard() {
        return xShipOwnerCard;
    }

    /**
     * 船主证件号码
     */
    public void setxShipOwnerCard(String xShipOwnerCard) {
        this.xShipOwnerCard = xShipOwnerCard;
    }

    /**
     * 是否离线
     */
    public String getxOffline() {
        return xOffline;
    }

    /**
     * 是否离线
     */
    public void setxOffline(String xOffline) {
        this.xOffline = xOffline;
    }

    /**
     * 是否在岛内
     */
    public String getxInner() {
        return xInner;
    }

    /**
     * 是否在岛内
     */
    public void setxInner(String xInner) {
        this.xInner = xInner;
    }

    /**
     * 位置描述
     */
    public String getxLocationDesc() {
        return xLocationDesc;
    }

    /**
     * 位置描述
     */
    public void setxLocationDesc(String xLocationDesc) {
        this.xLocationDesc = xLocationDesc;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        ImportShipTable other = (ImportShipTable) that;
        return (this.getbBeidouNo() == null ? other.getbBeidouNo() == null : this.getbBeidouNo().equals(other.getbBeidouNo()))
            && (this.getbPaichusuo() == null ? other.getbPaichusuo() == null : this.getbPaichusuo().equals(other.getbPaichusuo()))
            && (this.getbShipName() == null ? other.getbShipName() == null : this.getbShipName().equals(other.getbShipName()))
            && (this.getbShipPhone() == null ? other.getbShipPhone() == null : this.getbShipPhone().equals(other.getbShipPhone()))
            && (this.getbShipOwnerName() == null ? other.getbShipOwnerName() == null : this.getbShipOwnerName().equals(other.getbShipOwnerName()))
            && (this.getxZhiduiName() == null ? other.getxZhiduiName() == null : this.getxZhiduiName().equals(other.getxZhiduiName()))
            && (this.getxPaichusuo() == null ? other.getxPaichusuo() == null : this.getxPaichusuo().equals(other.getxPaichusuo()))
            && (this.getxShipName() == null ? other.getxShipName() == null : this.getxShipName().equals(other.getxShipName()))
            && (this.getxShipPhone() == null ? other.getxShipPhone() == null : this.getxShipPhone().equals(other.getxShipPhone()))
            && (this.getxShipOwnerName() == null ? other.getxShipOwnerName() == null : this.getxShipOwnerName().equals(other.getxShipOwnerName()))
            && (this.getxShipOwnerCard() == null ? other.getxShipOwnerCard() == null : this.getxShipOwnerCard().equals(other.getxShipOwnerCard()))
            && (this.getxOffline() == null ? other.getxOffline() == null : this.getxOffline().equals(other.getxOffline()))
            && (this.getxInner() == null ? other.getxInner() == null : this.getxInner().equals(other.getxInner()))
            && (this.getxLocationDesc() == null ? other.getxLocationDesc() == null : this.getxLocationDesc().equals(other.getxLocationDesc()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getbBeidouNo() == null) ? 0 : getbBeidouNo().hashCode());
        result = prime * result + ((getbPaichusuo() == null) ? 0 : getbPaichusuo().hashCode());
        result = prime * result + ((getbShipName() == null) ? 0 : getbShipName().hashCode());
        result = prime * result + ((getbShipPhone() == null) ? 0 : getbShipPhone().hashCode());
        result = prime * result + ((getbShipOwnerName() == null) ? 0 : getbShipOwnerName().hashCode());
        result = prime * result + ((getxZhiduiName() == null) ? 0 : getxZhiduiName().hashCode());
        result = prime * result + ((getxPaichusuo() == null) ? 0 : getxPaichusuo().hashCode());
        result = prime * result + ((getxShipName() == null) ? 0 : getxShipName().hashCode());
        result = prime * result + ((getxShipPhone() == null) ? 0 : getxShipPhone().hashCode());
        result = prime * result + ((getxShipOwnerName() == null) ? 0 : getxShipOwnerName().hashCode());
        result = prime * result + ((getxShipOwnerCard() == null) ? 0 : getxShipOwnerCard().hashCode());
        result = prime * result + ((getxOffline() == null) ? 0 : getxOffline().hashCode());
        result = prime * result + ((getxInner() == null) ? 0 : getxInner().hashCode());
        result = prime * result + ((getxLocationDesc() == null) ? 0 : getxLocationDesc().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", bBeidouNo=").append(bBeidouNo);
        sb.append(", bPaichusuo=").append(bPaichusuo);
        sb.append(", bShipName=").append(bShipName);
        sb.append(", bShipPhone=").append(bShipPhone);
        sb.append(", bShipOwnerName=").append(bShipOwnerName);
        sb.append(", xZhiduiName=").append(xZhiduiName);
        sb.append(", xPaichusuo=").append(xPaichusuo);
        sb.append(", xShipName=").append(xShipName);
        sb.append(", xShipPhone=").append(xShipPhone);
        sb.append(", xShipOwnerName=").append(xShipOwnerName);
        sb.append(", xShipOwnerCard=").append(xShipOwnerCard);
        sb.append(", xOffline=").append(xOffline);
        sb.append(", xInner=").append(xInner);
        sb.append(", xLocationDesc=").append(xLocationDesc);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}