package cn.com.taiji.esshipservice.domain.dto;

import lombok.Data;

/**
 * @ClassNmae CommonHistoryTrack
 * @Description 历史轨迹公共字段
 * @Author suhh
 * @Date2021/12/2411:38
 * @Version 1.0
 **/
@Data
public class EsHistoryTrack {
    private static final long serialVersionUID = 1L;
    private String shipId;

    private String shipName;
    private String location;
    private String shipTrackTime;

    private String geohash;

    private String merge_id;
    private String merge_time;
    private String source_time;
    private String source_type;
    private String target_course;
    private String target_heading;
    private String target_speed;
}
