//package cn.com.taiji.esshipservice.listener.hlx.fusion;
//
//import cn.com.taiji.esshipservice.utils.HttpsDownloadUtils;
//import com.alibaba.fastjson.JSONObject;
//import lombok.extern.slf4j.Slf4j;
//import org.apache.kafka.clients.consumer.ConsumerRecord;
//import org.elasticsearch.action.bulk.BulkRequest;
//import org.elasticsearch.action.bulk.BulkResponse;
//import org.elasticsearch.action.index.IndexRequest;
//import org.elasticsearch.client.RequestOptions;
//import org.elasticsearch.client.RestHighLevelClient;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.kafka.annotation.KafkaListener;
//import org.springframework.kafka.annotation.TopicPartition;
//import org.springframework.kafka.support.Acknowledgment;
//import org.springframework.stereotype.Component;
//
//import java.io.IOException;
//import java.util.*;
//import java.util.concurrent.*;
//
//import static cn.com.taiji.esshipservice.constant.ShipHisTrackIndexConstants.INDEX_SEAT_HIK_CAPTURE_SHIP_TRACKS;
//
//
////海康
//
///**
// * @author xhl
// */
//@Component
//@Slf4j
//public class DynamicCaptureShipTrackConsumer {
//
//    @Autowired
//    private RestHighLevelClient client;
//
//    @Autowired
//    private HttpsDownloadUtils httpsDownloadUtils;
//
//    ExecutorService threadPool = new ThreadPoolExecutor( 10,25,10L, TimeUnit.SECONDS, new LinkedBlockingDeque<>(10), Executors.defaultThreadFactory(), new ThreadPoolExecutor.DiscardPolicy());
//
//    /**
//     * 海康船舶抓拍数据-「分区」消费
//     * es场景
//     */
//
//    @KafkaListener(
//            groupId = "${taiji.kafka.consumer.groupId}",
//            topicPartitions = {
//                    @TopicPartition(
//                            topic = "${taiji.kafka.consumer.hik-capture-ship.topic}",
//                            partitions = {"#{'${taiji.kafka.consumer.hik-capture-ship.partitions0}'.split(',')}"}
//                    )
//            }
//    )
//    public void dynamicCaptureFaceTrack0(List<ConsumerRecord<?, ?>> records, Acknowledgment ack) {
//        threadPool.execute(()-> {
//            insertEs(records);
//        });
//        ack.acknowledge();
//    }
//
//
//    @KafkaListener(
//            groupId = "${taiji.kafka.consumer.groupId}",
//            topicPartitions = {
//                    @TopicPartition(
//                            topic = "${taiji.kafka.consumer.hik-capture-ship.topic}",
//                            partitions = {"#{'${taiji.kafka.consumer.hik-capture-ship.partitions1}'.split(',')}"}
//                    )
//            }
//    )
//    public void dynamicCaptureFaceTrack1(List<ConsumerRecord<?, ?>> records, Acknowledgment ack) {
//        threadPool.execute(()-> {
//            insertEs(records);
//        });
//        ack.acknowledge();
//
//    }
//
//
//    @KafkaListener(
//            groupId = "${taiji.kafka.consumer.groupId}",
//            topicPartitions = {
//                    @TopicPartition(
//                            topic = "${taiji.kafka.consumer.hik-capture-ship.topic}",
//                            partitions = {"#{'${taiji.kafka.consumer.hik-capture-ship.partitions2}'.split(',')}"}
//                    )
//            }
//    )
//    public void dynamicCaptureFaceTrack2(List<ConsumerRecord<?, ?>> records, Acknowledgment ack) {
//        threadPool.execute(()-> {
//            insertEs(records);
//        });
//        ack.acknowledge();
//    }
//
//
//    @KafkaListener(
//            groupId = "${taiji.kafka.consumer.groupId}",
//            topicPartitions = {
//                    @TopicPartition(
//                            topic = "${taiji.kafka.consumer.hik-capture-ship.topic}",
//                            partitions = {"#{'${taiji.kafka.consumer.hik-capture-ship.partitions3}'.split(',')}"}
//                    )
//            }
//    )
//    public void dynamicCaptureFaceTrack3(List<ConsumerRecord<?, ?>> records, Acknowledgment ack) {
//        threadPool.execute(()-> {
//            insertEs(records);
//        });
//        ack.acknowledge();
//    }
//
//
//    @KafkaListener(
//            groupId = "${taiji.kafka.consumer.groupId}",
//            topicPartitions = {
//                    @TopicPartition(
//                            topic = "${taiji.kafka.consumer.hik-capture-ship.topic}",
//                            partitions = {"#{'${taiji.kafka.consumer.hik-capture-ship.partitions4}'.split(',')}"}
//                    )
//            }
//    )
//    public void dynamicCaptureFaceTrack4(List<ConsumerRecord<?, ?>> records, Acknowledgment ack) {
//        threadPool.execute(()-> {
//            insertEs(records);
//        });
//        ack.acknowledge();
//
//    }
//
//    public void insertEs(List<ConsumerRecord<?, ?>> records) {
//        BulkRequest bulkRequest = new BulkRequest();
//        records.forEach(item -> {
//            Optional<?> message = Optional.ofNullable(item.value());
//            if (message.isPresent()) {
//                Object msg = message.get();
//                JSONObject map = JSONObject.parseObject(msg.toString());
//                Map<String, Object> maps = Collections.synchronizedMap(new HashMap<>());
//                maps.put("sourceType", map.getString("sourceType"));
//                maps.put("indexCode", map.getString("indexCode"));
//                maps.put("captureTime", map.getString("captureTime"));
//                maps.put("targetName", map.getString("targetName"));
//                maps.put("targetShipClassify", map.getString("targetShipClassify"));
//                maps.put("targetShipType", map.getString("targetShipType"));
//                maps.put("targetImageUrl", map.getString("targetImageUrl"));
//                maps.put("targetConfidence", map.getString("targetConfidence"));
//                maps.put("targetLength", map.getString("targetLength"));
//                maps.put("targetWidth", map.getString("targetWidth"));
//                maps.put("targetSpeed", map.getString("targetSpeed"));
//                maps.put("targetPicRect", map.getString("targetPicRect"));
//                maps.put("targetDirection", map.getString("targetDirection"));
//                maps.put("targetImages", map.getString("targetImages"));
//                maps.put("hik", map.getString("hik"));
//                bulkRequest.add(new IndexRequest(INDEX_SEAT_HIK_CAPTURE_SHIP_TRACKS).source(maps));
//            }
//        });
//        try {
//            BulkResponse bulk = client.bulk(bulkRequest, RequestOptions.DEFAULT);
//        } catch (IOException e) {
//            e.printStackTrace();
//        }
//
//    }
//
//}